cabal-install-solver-3.10.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Types.LabeledPackageConstraint

Synopsis

- data LabeledPackageConstraint = LabeledPackageConstraint PackageConstraint ConstraintSource
- unlabelPackageConstraint :: LabeledPackageConstraint -> PackageConstraint

# Documentation

data LabeledPackageConstraint #

`PackageConstraint` labeled with its source.

Constructors

LabeledPackageConstraint PackageConstraint ConstraintSource |

unlabelPackageConstraint :: LabeledPackageConstraint -> PackageConstraint #